Name:           blobwars
Version:        2.00
Release:        %mkrel 7
Summary:        Mission and Objective based 2D Platform Game
Group:          Games/Arcade
# Code and gfx is all GPLv2+. Music is all CC-BY-SA. SFX are a mix, see readme
License:        GPLv2+ and CC-BY-SA and CC-BY and BSD and Public Domain
URL:            https://www.parallelrealities.co.uk/p/blob-wars-metal-blob-solid.html
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1:         blobwars-2.00-gcc7.patch
Patch2:         blobwars-2.00-Werror.patch
Patch3:         blobwars-2.00-dont-override-strlcat.patch

BuildRequires:  gettext
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(zlib)
Requires:       fonts-ttf-bitstream-vera

%description
Blob Wars: Metal Blob Solid. This is Episode I of the Blob Wars Saga.
You must undertake the role of fearless Blob soldier, Bob, as he infiltrates
various enemy installations and hideouts in an attempt to rescue as many
MIAs as possible.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build RELEASE=1

%install
%make_install

%find_lang %{name}

rm -f %{buildroot}%{_gamesdatadir}/%{name}/data/vera.ttf
ln -s %{_xfontdir}/TTF/Vera.ttf \
      %{buildroot}%{_gamesdatadir}/%{name}/data/vera.ttf

%files -f %{name}.lang
%doc doc/*
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.00-7.mga10
+ Revision: 2222671
- Mageia 10 Mass Rebuild

* Wed May 15 2024 daviddavid <daviddavid> 2.00-6.mga10
+ Revision: 2064254
- add fedora patch to fix FTBFS

* Fri Apr 01 2022 umeabot <umeabot> 2.00-5.mga9
+ Revision: 1839753
- Mageia 9 Mass Rebuild

* Mon Feb 24 2020 umeabot <umeabot> 2.00-4.mga8
+ Revision: 1549772
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Sep 21 2018 umeabot <umeabot> 2.00-3.mga7
+ Revision: 1295510
- Mageia 7 Mass Rebuild

* Mon Sep 25 2017 cjw <cjw> 2.00-2.mga7
+ Revision: 1159746
- patch1: fix build with gcc 7
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 03 2015 akien <akien> 2.00-1.mga6
+ Revision: 907966
- Version 2.00, uses SDL2

* Wed Oct 15 2014 umeabot <umeabot> 1.19-4.mga5
+ Revision: 739493
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.19-3.mga5
+ Revision: 678177
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 pterjan <pterjan> 1.19-2.mga5
+ Revision: 634827
- Add missing Language header in po files

* Sat May 24 2014 akien <akien> 1.19-1.mga5
+ Revision: 625271
- Clean/update spec file and adapt it to Mageia
- Drop Debian patch which sets incorrect games paths
- import source package from Fedora


* Thu Dec 12 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.19-7
- Install docs to %%{_pkgdocdir} where available (#993685).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 1.19-5
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 22 2011 Hans de Goede <hdegoede@redhat.com> - 1.19-1
- New upstream version 1.19

* Sun Feb 13 2011 Hans de Goede <hdegoede@redhat.com> - 1.18-1
- New upstream version 1.18
  - From new sf.net upstream by the Debian and Fedora blobwars packagers
  - With new Free music
  - Sound effects are back! (and Free this time)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 07 2009 Rafał Psota <rafalzaq@gmail.com> 1.11-1
- update to 1.11 (bz 488584)

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.09b2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Aug 30 2008 Rafał Psota <rafalzaq@gmail.com> 1.09b2-2
- FONT_ERROR patch (thanks to Michał Bentkowski)

* Fri Aug 29 2008 Rafał Psota <rafalzaq@gmail.com> 1.09b2-1
- remove nonfree sounds and music

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.07-2
- Autorebuild for GCC 4.3

* Sun Sep 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.07-1
- New upstream version 1.07 (bz 292391)

* Sun Aug  5 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.06-2
- Update License tag for new Licensing Guidelines compliance

* Tue Apr 10 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.06-1
- New upstream release 1.06-2

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-3
- FE6 Rebuild

* Thu Jun  1 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-2
- remove extreanous BR SDL-devel and ImageMagick
- remove extreanous "export" in %%build section
- remove extreanous "-n %%{name}-%%{version}" under %%setup
- cleanup .desktop file

* Sun May 14 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-1
- initial Fedora Extras package
